%define name clusterscripts
%define version 1.3
%define release 1mdk
#%define	perl_vendorlib /usr/lib/perl5/vendor_perl/5.8.7

Summary: Tools to setup a cluster server and client
Name: %{name}
Version: %{version}
Release: %{release}
#Source0: %{name}-%{version}.tar.bz2
Source0: %{name}-devel.tar.bz2
License: 	GPL
Group: 		System/Deploiment
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
URL:		http://www.mandriva.com
#Packager: 	Antoine Ginies <aginies@n1.mandriva.com>
buildarch:	noarch
#obsolotes:	clusterautosetup-server

%description
Multiple scripts to setup cluster server or client nodes.


%package        client
Summary:	Script to setup and retrieve information for client node.
Group:		System/Deploiment
Conflicts:	%{name}-server, clusterautosetup-server
prereq:		rpm-helper
Requires:	bind-utils, xli, ypbind, autofs,wget,openssh-clients,openssh-server, tftp, nfs-utils, gexec, xinitrc, rsh-server, ntp, ka-deploy-source-node, torque-client, usbutils, pvm, urpmi-parallel-ka-run, bc, dhcpcd, smartmontools, ganglia-core, xmlsysd, qiv, cloop-utils
#obsolotes:	clusterautosetup-client

%description client
script to retrieve information and setup cluster client node from 
a server.

%package server 
Summary:        Script to setup a server node.
Group:		System/Deploiment
Conflicts:	%{name}-client, clusterautosetup-client
Requires:	bind, bind-utils, nfs-utils, ypserv,yp-tools,ypbind,pxe,tftp-server, xinetd,make,dhcp-server,torque-client, torque,openssh-server,openssh-clients, pxe, xli, ntp, ganglia-gmetad,urpmi-parallel-ka-run, apache, postfix, iptables,xpdf, xterm, ganglia-core, icewm,mutt, pvm, rpm-helper, syslinux, proftpd, usbutils, shorewall, bc, php-cli, apache2-mod_php, gexec, pcp, smartmontools, xmlsysd, monika, dssh, qiv, tentakel, ganglia-webfrontend, drakpxelinux
#gnbd, gnbd-kernel-BOOT, 
#maui

%description server
Script to auto setup a NIS, DNS, NFS, PXE, DHCPD, HDLIST, authd and ssh Keys.

%prep
rm -rf ${buildroot}
%setup -q -n %{name}-devel

%build
#make build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%post server
#%_post_service rapidnat
#if [ "`grep lsusb /etc/init.d/mandrake_everytime`" = "" ]; then
#echo "#Prevent no keyboard on ia64 systems" >>/etc/init.d/mandrake_everytime
#echo "lsusb -v >/dev/null" >>/etc/init.d/mandrake_everytime
#fi
TESTDHETH=`grep ETHDHCP_CLIENT /etc/clusterserver.conf`
if [ -z "$TESTDHETH" ];	then
	echo " old version of clusterscript, updating"
	echo "ETHDHCP_CLIENT=eth0" >> /etc/clusterserver.conf
fi	
	
#perl -Mcluster_xconfig -e 'set_xconfig()'

%post client
%_post_service clusterautosetup-client
if [ "`grep lsusb /etc/init.d/mandrake_everytime`" = "" ]; then
echo "#Prevent no keyboard on ia64 systems" >>/etc/init.d/mandrake_everytime
echo "lsusb -v >/dev/null" >>/etc/init.d/mandrake_everytime
fi


%preun client
%_preun_service clusterautosetup-client

%preun server
#%_preun_service rapidnat

%clean
rm -fr %{buildroot}

%files client
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/setup_client_cluster.pl
%attr(755,root,root) %{_bindir}/setup_add_media.pl
%attr(755,root,root) %{_bindir}/setup_ka_deploy.pl
%attr(755,root,root) %{_initrddir}/clusterautosetup-client
%{_bindir}/fdisk_to_desc
#%attr(755,root,root) %{_initrddir}/pbs_mom
%{perl_vendorlib}/ka_deploy_cluster.pm
%{perl_vendorlib}/client_cluster.pm
%{perl_vendorlib}/fs_client.pm
%{perl_vendorlib}/cluster_commonconf.pm
%{perl_vendorlib}/cluster_clientconf.pm
%{perl_vendorlib}/cluster_fonction_common.pm
%{perl_vendorlib}/add_media_cluster.pm
%attr(644,root,root) /etc/X11/CLUSTER-1024.jpg
%{_bindir}/ib-burn-firmware.pl

%files server
%defattr(-,root,root)
%attr(644,root,root) /etc/X11/CLUSTER-1024.jpg
%config(noreplace) /var/www/html/index.html
/var/www/html/Cluster-logo.png
%{_bindir}/ib-burn-firmware.pl
%{_bindir}/ib-cluster-configurator.pl
%{_bindir}/rapidnat
%{_bindir}/sauvegarde
%{_bindir}/fdisk_to_desc
#%{_initrddir}/rapidnat
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/muttrc
%attr(755,root,root) %{_bindir}/dhcpnode
%attr(755,root,root) %{_bindir}/setup_test_user
#%attr(755,root,root) %{_initrddir}/pbs_mom
#%attr(755,root,root) %{_initrddir}/pbs_server
#%attr(755,root,root) %{_initrddir}/pbs_sched
#%attr(755,root,root) %{_initrddir}/pbs
%attr(644,root,root) /var/spool/pbs/pbs_config.sample
%{perl_vendorlib}/cluster_xconfig.pm
%{perl_vendorlib}/maui_cluster.pm
%{perl_vendorlib}/fs_server.pm
%{perl_vendorlib}/nis_cluster.pm
%{perl_vendorlib}/cluster_fonction_common.pm
%{perl_vendorlib}/cluster_serverconf.pm
%{perl_vendorlib}/cluster_commonconf.pm
%{perl_vendorlib}/install_cluster.pm
%{perl_vendorlib}/add_nodes_to_dhcp_cluster.pm
%{perl_vendorlib}/auto_add_nodes_cluster.pm
%{perl_vendorlib}/dhcpnode_cluster.pm
%{perl_vendorlib}/pxe_server_cluster.pm
%{perl_vendorlib}/auto_remove_nodes_cluster.pm
%{perl_vendorlib}/dns_cluster.pm
%{perl_vendorlib}/server_cluster.pm
%{perl_vendorlib}/cluster_set_admin.pm
%{perl_vendorlib}/cluster_set_compute.pm
%{perl_vendorlib}/wakeup_node_cluster.pm
%{perl_vendorlib}/user_nis_cluster.pm
%{perl_vendorlib}/hdlists_server_cluster.pm
%{perl_vendorlib}/postfix_cluster.pm
%{perl_vendorlib}/dhcpdconf_server_cluster.pm
%{perl_vendorlib}/pbs_cluster.pm
%attr(755,root,root) %{_bindir}/setup_xconfig.pl
%attr(755,root,root) %{_bindir}/setup_pbs.pl
%attr(755,root,root) %{_bindir}/setup_auto_cluster
%attr(755,root,root) %{_bindir}/setup_hdlists_server.pl
%attr(755,root,root) %{_bindir}/setup_add_nodes_to_dhcp.pl
%attr(755,root,root) %{_bindir}/setup_add_node.pl
%attr(755,root,root) %{_bindir}/setup_install_cluster.pl
%attr(755,root,root) %{_bindir}/setup_dns.pl
%attr(755,root,root) %{_bindir}/setup_server_cluster.pl
%attr(755,root,root) %{_bindir}/setup_recup_cpus.pl
%attr(755,root,root) %{_bindir}/setup_nis.pl
%attr(755,root,root) %{_bindir}/setup_auto_remove_nodes.pl
%attr(755,root,root) %{_sbindir}/deluserNis.pl
%attr(755,root,root) %{_bindir}/wakeup_node.pl
%attr(755,root,root) %{_bindir}/setup_maui.pl
%attr(755,root,root) %{_bindir}/setup_auto_add_nodes.pl
%attr(755,root,root) %{_sbindir}/adduserNis.pl
%attr(755,root,root) %{_bindir}/setup_postfix.pl
%attr(755,root,root) %{_bindir}/setup_admin.pl
%attr(755,root,root) %{_bindir}/setup_compute.pl
%attr(755,root,root) %{_bindir}/setup_pxe_server.pl
%attr(755,root,root) %{_bindir}/setup_dhcpdconf_server.pl
%attr(755,root,root) %{_bindir}/update_cfg_after_ar_node.pl
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/clusterserver.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/dhcpd.conf.pxe.single
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/dhcpd.conf.cluster


%changelog
* Wed Nov 30 2005 Antoine Ginies <aginies@n3.mandriva.com> 1.3-1mdk
- add generate_ex_dolly_conf
- disable gam server only if exist
- disable auto_cluster icon in icewm toolbar
- remove require on ganglia-script
- clean %post
- remove unwanted services
- add drakpxelinux require
- add gnbd and rescue in PXE menu 
- fix generation of cluster.conf file
- fix pb of missgin lam directory on nodes
- use vga=text in ka mode
- fix fs_server.pm ccsd configuration
- now use fs.pm
- add coda support (client and server)
- fix missing files move into cluster_fonction_common
- fix creation of lam file
- fix missing file for reading (mpi and lam)
- fix pxe (remove ka.img patch) 
- fix missing dir (mpi and lam)
- remove some requires on client node (distcc icecream)
- remove mandrake_theme require
- add mpich2 support
- fix nsswitch.conf
- add requires (ganglia-webfrontend)
- fix lam missing directory
- fix mountcdrom in setup_auto_cluster
- copy RPM data from nfs or cdrom
- dont generate gmond.conf
- adjust RESCUE name

* Tue Mar 22 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.1-38mdk
- add requires

* Tue Mar 22 2005  <guibo@guiboserv.guibland.com> 1.1-37mdk
- adjust requires

* Mon Mar  7 2005  <aginies@guibo.mdkc.com> 1.1-36mdk
- add ib-burn-firmware.pl
- add ib-cluster-configurator.pl

* Fri Mar  4 2005  <aginies@guibo.mdkc.com> 1.1-35mdk
- re-require idesk
- re-add require on mpich 

* Fri Mar  4 2005  <aginies@guibo.mdkc.com> 1.1-34mdk
- remove display in PXE conf
- create mpi wanted dir

* Thu Mar  3 2005  <aginies@guibo.mdkc.com> 1.1-33mdk
- remove requires on mpich
- add create_hostib.pl

* Thu Mar  3 2005  <aginies@guibo.mdkc.com> 1.1-32mdk
- Mercury Release
- fix ib over ip in shorewall config
- set pxe to auto mode
- use fdisk_to_desc to create descfile on node

* Thu Feb 10 2005  <aginies@guibo.mdkc.com> 1.1-31mdk
- fix some other X configuration

* Wed Feb  9 2005  <aginies@guibo.mdkc.com> 1.1-30mdk
- fix background pb (server/client) 

* Wed Feb  9 2005  <aginies@guibo.mdkc.com> 1.1-29mdk
- add fdisk_to_desc
- copy only one CD

* Thu Nov 25 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-28mdk
- copy the 4 cds

* Wed Nov 10 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-27mdk
- add requires on mclx doc (client and server)

* Thu Nov  4 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-26mdk
- adjust for Clustering2 (to fit on 1CD)

* Wed Nov  3 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-25mdk
- add require on doc

* Wed Nov  3 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-24mdk
- fix path to doc
- update index.html

* Tue Nov  2 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-23mdk
- fix xdm background

* Thu Oct 28 2004 aginies <aginies@dhcp125.mandrakesoft.com> 1.1-22mdk
- fix acpi=ht on x86_64

* Thu Oct 28 2004 aginies <aginies@dhcp125.mandrakesoft.com> 1.1-21mdk
- fix pxe x86_64 pb (freedos)

* Thu Oct 21 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-20mdk
- add post install in auto_inst.cfg.pl

* Thu Oct 21 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-19mdk
- force install of theme-mercury
- fix requires on mandrake-theme-mercury

* Wed Oct 20 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-18mdk
- fix, typo (thx pixel)

* Wed Oct 20 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-17mdk
- fix underscore :/

* Fri Oct 15 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-16mdk
- fix resetknowhosts
- fix add node without ka

* Fri Oct 15 2004 mdkc <mdkc@guiboserv.guibland.com> 1.1-15mdk
- add new file to add node without ka method (thx camille bug report).

* Thu Oct 14 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-14mdk
- fix pxe ka24.img on X86_64

* Wed Oct 13 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-13mdk
- fix auto_inst.cfg.pl (had SMP support)

* Thu Oct  7 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-12mdk
- fix a pb of copy4CD

* Mon Oct  4 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-11mdk
- copy 4cd

* Wed Sep 29 2004 aginies <mdkc@mdkc2devel.mandrakesoft.com> 1.1-10mdk
- mercury release

* Thu Sep 16 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-9mdk
- fix rc.sysinit Branding

* Tue Sep 14 2004 mdkc <mdkc@guiboserv.guibland.com> 1.1-8mdk
- fix some branding

* Thu Aug 25 2004 Erwan Velu <erwan@mandrakesoft.com> 1.1-7mdk
- MII_NOT_SUPPORTED by default in auto mode
- auto_mode also install mandrake_theme
- Removing uncessary requires

* Thu Aug 25 2004 Erwan Velu <erwan@mandrakesoft.com> 1.1-6mdk
- Adding requires

* Thu Aug 05 2004 Erwan Velu <erwan@mandrakesoft.com> 1.1-5mdk
- New release
- Fixing default background system (now using theme)
- Requires mandrake_theme

* Mon Jul 12 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-4mdk
- add user admin

* Thu Jul  8 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-3mdk
- add requires (mozilla, dssh, idesk)
- fix localtime pb (missing cp_in_workdir)

* Wed Jun 30 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-2mdk
- fix xdm dialog box
- launch draktab_configat beginning of setup_autokc@mdkc2devel.mandrakesoft.com> 1.1-3mdk
- add requires (mozilla, dssh, idesk)
- fix localtime pb (missing cp_in_workdir)

* Wed Jun 30 2004 mdkc <mdkc@mdkc2devel.mandrakesoft.com> 1.1-2mdk
- fix xdm dialog box
- launch draktab_configat beginning of setup_auto_cluster
- adjust icewm toolbar
- patching pxe for generating auto entry
- fix default nisdomain (gi+drakcluster)
- add xhost +
- add test on user's home to avoid pb of drakcluster (quit when !-d home's user )
- cleaning ntp configuration

* Fri Jun 25 2004 aginies <mdkc@mdkc2devel.mandrakesoft.com> 1.1-1mdk
- more perl_checker fix
- add comment in clusterscripts
- correct dhcpd.conf leases time
- various fix to accelerate remove node procedure
- fix dssh et wulfstat reload in a/d in admin mode
- add require on xmlsysd

* Thu Jun 24 2004 aginies <mdkc@mdkc2devel.mandrakesoft.com> 1.0-8mdk
- now when adding serveur in compute, server is disable in admin
- fix wulfstat pb
- add requires smartmontools, fix missing require gangali on client
- add smartmon tools config

* Tue Jun 22 2004 mdkc <mdkc@devel.mdkc.com> 1.0-7mdk
- fix add_srv (dns problem)
- fix ssh root on server (authorized_keys)
- fix generation of nisdomain pb
- remove sleep in dns configuration
- add comment
- fix icewm icon pb

* Mon Jun 21 2004  <mdkc@n2.mandrakesoft.com> 1.0-6mdk
- add wulfstat config
- now can add srv in cluster

* Fri Jun 11 2004  <mdkc@n2.mandrakesoft.com> 1.0-5mdk
- perl_checker recommendation

* Thu Jun 10 2004  <mdkc@n2.mandrakesoft.com> 1.0-4mdk
- add more quick launch on icewm's toolbar

* Thu Jun 10 2004 mdkc <mdkc@n2.mandrakesoft.com> 1.0-3mdk
- add dssh support (remote admin) 
- patch userdrake to support cluster user using adduserNis/deluserNis

* Mon May 24 2004 mdkc <mdkc@localhost> 1.0-2mdk
- add gsh support (remote admin)

* Mon May 17 2004  <mdkc@n2.mandrakesoft.com> 1.0-1mdk
- release 1.0

* Mon Apr 12 2004  antoine Ginies <aginies@mandrakesoft.com> 0.9-11mdk
- use alternatives ka.img (kernel 2.4.25)
- pxe_cluster: compatible drakwizard pxe, more debug 
- perl_checker recommendation
- fix PBS pb on client node
- fix ntp pb on client
- add missing requires
- fix dhcpd.conf tftpdir var
- add needed_after add/remove in cmd line
- permit ssh root login on node
- add unwanted services

* Thu Apr  8 2004 antoine Ginies <aginies@mandrakesoft.com> 0.9-10mdk
- fix some pxe pb

* Wed Apr  7 2004 antoine Ginies <aginies@mandrakesoft.com> 0.9-9mdk
- fix client scripts
- fix PXE pb server side (need more fix....)

* Mon Apr  5 2004 antoine Ginies <aginies@mandrakesoft.com> 0.9-8mdk
- fix pb on client (dhclient)
- fix PXE pb (var/lib/tftp/X86PC)
- PXE now compatible with drakwizard pxe
- fix PBS pb
- some perl_checker fix (too much to fix all this time)

* Mon Apr  5 2004 antoine Ginies <aginies@mandrakesoft.com> 0.9-7mdk
- fix require

* Mon Apr  5 2004 guibo <guibo@xp2400.guibland.com> 0.9-6mdk
- rebuild 10.0

* Mon Oct 20 2003 antoine Ginies <guibo@guiboserv.guibland.com> 0.9-5mdk
- Build for CLIC2

* Mon Oct 13 2003 antoine Ginies <guibo@guiboserv.guibland.com> 0.9-4mdk
- start new release
- fix distcc and mpi-lam error
- fix pxe pb of add boot option

* Mon Oct 13 2003 antoine Ginies <guibo@guiboserv.guibland.com> 0.9-3mdk
- fix pb of missing nisdomain and domcomp file in current config 
- fix call of undefined fonction
- add maui GROUPCFG feature
- add clean_previous_add in auto_add_nodes_cluster.pm
- clean some info
- support old clusterscript version
- improve some regexp
- add some test in maui config

* Fri Oct 10 2003 antoine Ginies <guibo@guiboserv.guibland.com> 0.9-2mdk
- debug urpmi group
- improve active or desactive node

* Fri Oct 10 2003 antoine Ginies <guibo@node4.guibland.com> 0.9-1mdk
- release 0.9 to be avoid pb of drakcluster require
- debug some regexp

* Thu Oct  9 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.8-9mdk
- now can choose on wich interface boot client node
- improve urpmi group regexp
- add nka_from_urpmig (provide list for ka based on urpmi group)	
* Wed Oct  8 2003 antoine Ginies <guibo@guiboserv.guibland.com> 0.8-8mdk
- Fixing PXE entries in drakcluster
- No more xterm in console mode :)
- Fixing wrong device in duplication
* Tue Oct  7 2003 antoine Ginies <guibo@guiboserv.guibland.com> 0.8-7mdk
- add support for active or desactive a node
- add skip option to setup_auto_add_node (skip mac address detection)
- readd rapinat script 
- clean old unneeded info 
* Mon Oct  6 2003 antoine Ginies <guibo@guiboserv.guibland.com> 0.8-6mdk
- add urpmi // multi-group support (debug) 
- sync urpmi.cfg and node_list.admin
- fix output pb
- adjust info
- user created are by default in partition1
- move chg_node_grp in cluster_set_admin.pm
* Fri Oct  3 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.8-5mdk
- add a default configuration for shorewall
- remove rapidnat start
- correct muttrc
- move http installtion into install_cluster.pm
- change default name in configuration file
- add test in cluster_xconfig to avoid pb of X configuration
- add update_cfg_after_ar_node.pl
- now use create_desc in client side
- add more info in script
- rearrange tab order (pxe just after node tab)
- moe interface_cluster in correct package (drakcluster)
* Mon Sep 29 2003 aginies <aginies@mandrakesoft.com> 0.8-4mdk
- add require shorewall
- fix use in cluster_x_config.pm
- use common update_nsswitch (client server)
* Thu Sep 25 2003 aginies <aginies@mandrakesoft.com> 0.8-3mdk
- add fonction to reset know_hosts
* Mon Sep 15 2003 antoine Ginies <aginies@mandrakesoft.com> 0.8-2mdk
- fix post install in spec
* Fri Sep 12 2003 antoine Ginies <aginies@mandrakesoft.com> 0.8-1mdk
- new release wich clean code
* Fri Sep 12 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.7-8mdk
- split X config in cluster_xconfig.pm
* Thu Sep 11 2003 aginies <aginies@mandrakesoft.com> 0.7-7mdk
- split drakcluster and clusterscripts
* Tue Sep 9 2003 Erwan Velu <erwan@mandrakesoft.com> 0.7-6mdk
- Reverting noapic & acpi=off patch
- Adding option for pxe to activate/desactivate acpi & apic
* Mon Sep 8 2003 Erwan Velu <erwan@mandrakesoft.com> 0.7-5mdk
- Fixing wrong url in index.html
- Adding noapic & acpi=off in netboot images (thx to Maurizio Davini tests)
* Mon Aug 25 2003 Erwan Velu <erwan@mandrakesoft.com> 0.7-4mdk
- Fixing wrong ip in documentation
- Removing lsusb from mandrake_everytime
- Fixing Icewm entries
- Fixing typos
* Fri Aug 22 2003 Erwan Velu <erwan@mandrakesoft.com> 0.7-3mdk
- Clusterdoc doesn't exist anymore in index.html
- Fixing rights to ssh dir & keys
- New rapidnat with only ssh & web activated from external
- Using external ip adress instead of hostname for index.html
* Fri Aug 22 2003 Erwan Velu <erwan@mandrakesoft.com> 0.7-2mdk
- Fixing wrong rshpn all (must be rshpn -v)
- Fixing die in remove node when the computing interface is not set
- Fixing dhcp die at the end of the first node add
- Fixing clusterserver.conf
- Fixing bad strings
* Thu Aug 21 2003 Erwan Velu <erwan@mandrakesoft.com> 0.7-1mdk
- Switching to rshpn and mputn
- Fixing adduserNis.pl (working fine with userdrake)
- Refresh user tab when adding users (Pixel fix)
- Refresh node tab when adding a new node (Pixel fix)
- Fixing Idesk configuration
- New icons
- Avoiding similar urpmi group names
- Fixing "post duplication" procedure (need_after_ar_node)
- Fixing "*End*" messages
- Fixing doc path
* Tue Aug 19 2003 Antoine Ginies <clic@mandrakesoft.com> 0.6-29mdk
- correct remove node in urpmi group when add or remove an node
- correct $NKA pb
- update icons
* Mon Aug 18 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.6-28mdk
- add idesk require and confiuration
* Wed Jul 30 2003 Erwan Velu <erwan@mandrakesoft.com> 0.6-27mdk
- Pvm is no nore exluded on opteron
- Small fixes about usernis
* Tue Jul 29 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.6-26mdk
- Lastest CVS
* Tue Jul 29 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.6-25mdk
- now regenerate .rhost after adding or suppress a node
- some suntax fix (perl_checker)
- Fixing strings in auto_add_nodes, add_node*, and auto_remove*
* Mon Jul 28 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.6-24mdk
- Rebuild 
* Fri Jul 25 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.6-23mdk
- user in drakcluster are from nis
- correct pb of VAR for clusterit
- use cluster.sh instead of /etc/profile
- add setup_test_user
- use drakcluster.fake to launch drakcluster to get correct ENV
- add /etc/profile.d/cluster.sh  in root .bashrc 

* Thu Jul 24 2003 clic <clic@clic2devel.mandrakesoft.com> 0.6-22mdk
- now support PBSpro and ScalablePBS   
- Removing pbspro files to pbspro-init-* RPM
* Tue Jul 22 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.6-21mdk
- Rebuild with latest CVS
* Tue Jul 22 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.6-20mdk
- add update server configuration and client when adding or removing
  a node
- uniq fonction (regenerate_conf)
- fix urpmi // creation group (use appendtofile instead of output)
- fix interface_cluster change urpmi group
- add more info in drakcluster
- add popu-menu to reload conf on nodes
- add confirmation when clic on Administrtion button
- add number of cpu in drakcluster
- move recup number of cpu in node tab
- add a restart gmond in state column 

* Fri Jul 18 2003 clic <clic@clic2devel.mandrakesoft.com> 0.6-19mdk
- Removing urpme parallel call (fix by a gexec call)

* Thu Jul 17 2003 clic <clic@clic2devel.mandrakesoft.com> 0.6-18mdk
- remove -w fo setup_dns.pl
- resolv pb of mpi lam pdate on client node 
- fix pb of dns in case of no IPFORWARDER
- adjust some comment
- PBS fixup

* Thu Jul 17 2003 clic <clic@clic2devel.mandrakesoft.com> 0.6-17mdk
- correct pb of search and nameserver on client node (dhcpd server)
- add comment in clusterserver.conf
- now client retrieve updated mpi and lam configuration when adding a node
- now default finishnode is 250

* Wed Jul 16 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.6-16mdk
- correct pb of pbs start service
- add creation of default desc file
- fixing pbs group creation
- fixing typo in pbs.conf client file

* Tue Jul 15 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.6-15mdk
- add pbs_mom on client node in client_cluster.pm
- debug of dhcpd server pb :-)
- add -a to urpmi // in drakcluster
- debug maui user (this one is the good one)
- rename Maui partition to Cluster partition 
- adjusting icon order
- move dedicated_time file to correct place

* Tue Jul 15 2003 antoine Ginies <guibo@xp2400.guibland.com> 0.6-14mdk
- full retest from zero
- correct pb of maui user creation
- kill X at the end of the retieve of golden node MAC address

* Fri Jul 11 2003 antoine Ginies <aginies@mandrakesoft.com> 0.6-13mdk
- add pbs_mom in client services
- add pbs service for server 
- tryng to solve dhcp server pb IP attribution
- add reset_server_first_node to server_cluster.pm

* Thu Jul 10 2003 antoine Ginies <guibo@guiboserv.guibland.com> 0.6-12mdk
- patching to get correct env for root user just after installation
- patch of installer
- adjusting with correct ICON (IC20)
- fixing maui user pb
- fixing PBS_SERVER localhost name
- add CDROM in drakcluster

* Tue Jul  8 2003 antoine Ginies <aginies@mandrakesoft.com> 0.6-11mdk
- add support for PBSpro
- correct pbs start pb at the end of set the cluster
- correct pb of chmod on PBSpro directory
- correct pb of standalone missing file

* Thu Jun 19 2003 Daniel Viard <dviard@mandrakesoft.com> 0.6-10mdk
- Corection of add & remove partition in drakcluster
- Add setup_recup_cpus.pl script

* Thu Jun 19 2003 Erwan Velu <erwan@mandrakesoft.com> 0.6-9mdk
- New icons

* Wed Jun 18 2003 Erwan Velu <erwan@mandrakesoft.com> 0.6-8mdk
- Adding automount on client side 
- Unifarching pvm

* Wed Jun 18 2003 Erwan Velu <dviard@mandrakesoft.com> 0.6-7mdk
- Writing automount config in nsswitch.conf

* Tue Jun 17 2003 Daniel Viard <dviard@mandrakesoft.com> 0.6-6mdk
- use arch() in adduserNis.pl

* Tue Jun 17 2003 antoine Ginies <aginies@mandrakesoft.com> 0.6-5mdk
- use arch()
- use system in service_do

* Tue Jun 17 2003 Erwan Velu <erwan@mandrakesoft.com> 0.6-4mdk
- Rebuild for dhcpd lease patch

* Mon Jun 16 2003 aginies <aginies@mandrakesoft.com> 0.6-3mdk
- move delusernis and addusernisl to /usr/sbin 

* Mon Jun 16 2003 clic <erwan@mandrakesoft.com> 0.6-2mdk
- Removing pvm for x86_64

* Fri Jun 13 2003 clic <aginies@mandrakesoft.com> 0.6-1mdk
- change rapid.img to network.img
- add cooker for debug mail

* Fri Jun 13 2003 aginies <aginies@mandrakesoft.com> 0.5-7mdk
- change clic-public-dev to cooker
- add ETHDHCP_CLIENT

* Thu Jun 12 2003 aginies <aginies@mandrakesoft.com> 0.5-6mdk
- add recup_cpu, and add get_cpu in drakcluster.pl
- correct pb of \n in node_list
- remove source in auto_add_node
- now can copy current config in tftp directory (cp_current_conf)
- can generate all node in list or just one to use auto_add_node
- add requires on mutt, default mail client

* Wed Jun 11 2003 antoine Ginies <aginies@mandrakesoft.com> 0.5-5mdk
- fix nis bug
- add_node_to_dhcp bug

* Tue Jun 10 2003 antoine Ginies <guibo@xp2400> 0.5-4mdk
- new feature in drakcluster: setup menu 
- correct pb of maui changeparm
- set X environement 

* Fri Jun  6 2003 antoine Ginies <aginies@mandrakesoft.com> 0.5-3mdk
- new drakcluster feature (pixel)
- fix bug
- add  default wm for root and toolbar entry
 
* Thu Jun  5 2003 antoine Ginies <aginies@mandrakesoft.com> 0.5-2mdk
- add mandrakeclustering background (thx ln)

* Thu Jun 5 2003 antoine Ginies <aginies@mandrakesoft.com> 0.5-1mdk
- fix problem on pbs client
- fir problem of compute domain on client

* Thu Jun  5 2003 antoine Ginies <guibo@xp2400> 0.4-10mdk
- fix maui_node generation
- fix xpbs and xpbsmon pb

* Tue Jun  3 2003 antoine Ginies <aginies@mandrakesoft.com> 0.4-9mdk
- correct few pb in pbs
- correct pb of key on client
- use system instead of sys on client
- use COMPUTENODENAME for distcc
- new feature in drakcluster
- fix some bug in dns
- fix range nodename in add_node_to_dhcp

* Mon Jun  2 2003 antoine Ginies <aginies@mandrakesoft.com> 0.4-8mdk
- correct problems of maui configuration
- add dynamic mode for maui (add or change user in partition)
- add acl in PBS to accept user maui to submit job
- remove SERVERNAME in cluster_serverconf::pbs_data

* Fri May 30 2003 antoine Ginies <aginies@mandrakesoft.com> 0.4-7mdk
- correct pb of nis in server_cluster.pm
- correct pbs_cluster.pm

* Fri May 30 2003 antoine Ginies <guibo@xp2400> 0.4-6mdk
- correct problem of dhcpd.conf missing file

* Fri May 30 2003 antoine Ginies <aginies@mandrakesoft.com> 0.4-5mdk
- add require on mpich and pvm

* Fri May 30 2003 antoine Ginies <aginies@mandrakesoft.com> 0.4-4mdk
- add require xterm, maui, ganglia-monitor-core
- add AmiRoot in all needed scripts
- correct dns_cluster.pm to fix some problem

* Wed May 28 2003 antoine Ginies <aginies@mandrakesoft.com> 0.4-3mdk
- add missing file interface_cluster.pm

* Wed May 28 2003 antoine Ginies <aginies@mandrakesoft.com> 0.4-2mdk
- add pbs_cluster.pm

* Tue May 27 2003 antoine Ginies <aginies@mandrakesoft.com> 0.4-1mdk
- add mmuttrc config and index.html
- add rapidnat and sauvegarde

* Mon May 26 2003 antoine Ginies <guibo@guiboserv.guibland.com> 0.3-4mdk
- add setup_auto_cluster

* Fri May 23 2003 antoine Ginies <aginies@mandrakesoft.com> 0.3-3mdk
- correct few pb in
